SSLTransportFactory (apache-cassandra API)
Date: 2018-02-12

org.apache.cassandra.thrift

## Class SSLTransportFactory

- java.lang.Object
- - org.apache.cassandra.thrift.SSLTransportFactory

- All Implemented Interfaces:
    ITransportFactory

      public class SSLTransportFactory
      extends java.lang.Object
      implements ITransportFactory

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `CIPHER_SUITES`
    `static int` | `DEFAULT_MAX_FRAME_SIZE`
    `static java.lang.String` | `KEYSTORE`
    `static java.lang.String` | `KEYSTORE_PASSWORD`
    `static java.lang.String` | `PROTOCOL`
    `static int` | `SOCKET_TIMEOUT`
    `static java.lang.String` | `TRUSTSTORE`
    `static java.lang.String` | `TRUSTSTORE_PASSWORD`

    - ### Fields inherited from interface org.apache.cassandra.thrift.ITransportFactory

      `PROPERTY_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SSLTransportFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.thrift.transport.TTransport` | `openTransport(java.lang.String host, int port)` Opens a client transport to a thrift server.
    `void` | `setOptions(java.util.Map<java.lang.String,java.lang.String> options)` Sets an implementation defined set of options.
    `java.util.Set<java.lang.String>` | `supportedOptions()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFAULT_MAX_FRAME_SIZE

          public static final int DEFAULT_MAX_FRAME_SIZE

      See Also:
        Constant Field Values

    - #### TRUSTSTORE

          public static final java.lang.String TRUSTSTORE

      See Also:
        Constant Field Values

    - #### TRUSTSTORE_PASSWORD

          public static final java.lang.String TRUSTSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### KEYSTORE

          public static final java.lang.String KEYSTORE

      See Also:
        Constant Field Values

    - #### KEYSTORE_PASSWORD

          public static final java.lang.String KEYSTORE_PASSWORD

      See Also:
        Constant Field Values

    - #### PROTOCOL

          public static final java.lang.String PROTOCOL

      See Also:
        Constant Field Values

    - #### CIPHER_SUITES

          public static final java.lang.String CIPHER_SUITES

      See Also:
        Constant Field Values

    - #### SOCKET_TIMEOUT

          public static final int SOCKET_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SSLTransportFactory

          public SSLTransportFactory()

  - ### Method Detail

    - #### openTransport

          public org.apache.thrift.transport.TTransport openTransport(java.lang.String host,
                                                                      int port)
                                                               throws java.lang.Exception

      Description copied from interface: `ITransportFactory`
      Opens a client transport to a thrift server. Example:

           TTransport transport = clientTransportFactory.openTransport(address, port);
           Cassandra.Iface client = new Cassandra.Client(new BinaryProtocol(transport));

      Specified by:
        `openTransport` in interface `ITransportFactory`
      Parameters:
        `host` - fully qualified hostname of the server
        `port` - RPC port of the server
      Returns:
        open and ready to use transport
      Throws:
        `java.lang.Exception` - implementation defined; usually throws TTransportException or IOException if the connection cannot be established

    - #### setOptions

          public void setOptions(java.util.Map<java.lang.String,java.lang.String> options)

      Description copied from interface: `ITransportFactory`
      Sets an implementation defined set of options. Keys in this map must conform to the set set returned by ITransportFactory#supportedOptions.
      Specified by:
        `setOptions` in interface `ITransportFactory`
      Parameters:
        `options` - option map

    - #### supportedOptions

          public java.util.Set<java.lang.String> supportedOptions()

      Specified by:
        `supportedOptions` in interface `ITransportFactory`
      Returns:
        set of options supported by this transport factory implementation

Copyright © 2018 The Apache Software Foundation